package net.sf.corn.cps;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * An helper class to use for text operations 
 * @author serhat.dirik
 */
class TextHelper {

	private static final Pattern GRAB_SP_CHARS = Pattern.compile("([\\\\*+\\[\\](){}\\$.?\\^|])");

	/**
	 * Escapes regular expression sensitive characters with in a regular text 
	 * @param str a string 
	 * @return regex escaped version of the given text 
	 */
	static String escapeRE(String str) {
		if(str == null) return str;
		Matcher match = GRAB_SP_CHARS.matcher(str);
		return match.replaceAll("\\\\$1");
	}
	/**
	 * Converts given class or package name to regex pattern string, * char converted to .* and _ converted to . regex wildchars. 
	 * @param name a name string for class names, package names, etc 
	 * @return regex escaped version of the given text 
	 */
	static String prepName(String name){
		return escapeRE(name.replace("*", "##-##")).replace(
				"##-##", ".*").replace("_", ".");
	}
}
